# Uses of Class
com.tdunning.math.stats.TDigest

## Uses of TDigest in com.tdunning.math.stats

Subclasses of TDigest in com.tdunning.math.stats
Modifier and Type
Class
Description
`class`
`AbstractTDigest`
`class`
`ArrayDigest`
Array based implementation of a TDigest.
`class`
`AVLTreeDigest`
`class`
`TreeDigest`
Adaptive histogram based on something like streaming k-means crossed with Q-digest.
Methods in com.tdunning.math.stats that return TDigest
Modifier and Type
Method
Description
`static TDigest`
TDigest.`createTreeDigest(double compression)`
Creates a TreeDigest.
`protected static TDigest`
AbstractTDigest.`merge(Iterable<TDigest> subData, Random gen, TDigest r)`
`static TDigest`
TreeDigest.`merge(double compression, Iterable<TDigest> subData, Random gen)`
`TDigest`
AbstractTDigest.`recordAllData()`
Sets up so that all centroids will record all data assigned to them.
`TDigest`
AVLTreeDigest.`recordAllData()`
`abstract TDigest`
TDigest.`recordAllData()`
Tell this TDigest to record the original data as much as possible for test purposes.
Methods in com.tdunning.math.stats with parameters of type TDigest
Modifier and Type
Method
Description
`void`
AbstractTDigest.`add(TDigest other)`
`abstract void`
TDigest.`add(TDigest other)`
Add all of the centroids of another TDigest to this one.
`protected static TDigest`
AbstractTDigest.`merge(Iterable<TDigest> subData, Random gen, TDigest r)`
Method parameters in com.tdunning.math.stats with type arguments of type TDigest
Modifier and Type
Method
Description
`protected static TDigest`
AbstractTDigest.`merge(Iterable<TDigest> subData, Random gen, TDigest r)`
`static TDigest`
TreeDigest.`merge(double compression, Iterable<TDigest> subData, Random gen)`